Subject: Re: linux-next: add utrace tree

From: Tom Tromey <[email-masked]>
Date: Tue, 26 Jan 2010 16:20:22 -0700

>>>>> "Linus" == Linus Torvalds <[email-masked]> writes:

Tom> * Support "displaced stepping" in the kernel; I think this would improve
Tom> performance when debugging in non-stop mode.

Linus> Don't we already do that at least on x86?

I don't know.  If it does, and gdb does not yet use that, then that
would be worth changing.

Linus> Or maybe I'm not understanding what displaced stepping means to you.

In non-stop mode (where you can stop one thread but leave the others
running), gdb wants to have the breakpoints always inserted.  So,
something must emulate the displaced instruction.

Tom